<div th:replace="data(defaultInput=~{::input})" th:fragment="input" xmlns:th="http://www.thymeleaf.org">
    <input type="text" class="form-control" th:name="${prefix + data.id} + '.url'" th:value="${value}" th:attr="data-parsley-required=${data.isMandatory() ? true : null}" />
    <input type="hidden" th:name="${prefix + data.id}" />
</div>
